## bcolz 1.2.0+ds1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/bcolz.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/bcolz.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/bcolz"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/bcolz"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## bcolz 1.1.0+ds1

=== debian/changelog ===
bcolz (1.1.0+ds1-4) unstable; urgency=medium

  * deb/tests/control: add allow-stderr to Restrictions.

 -- Daniel Stender <stender@debian.org>  Thu, 26 Jan 2017 14:44:22 +0100

bcolz (1.1.0+ds1-3) unstable; urgency=medium

  * Upload to unstable. 

 -- Daniel Stender <stender@debian.org>  Thu, 26 Jan 2017 07:12:19 +0100

bcolz (1.1.0+ds1-2) experimental; urgency=medium

  * deb/control:
    + make short description line more precise.
  * deb/rules:
    + preset SETUPTOOLS_SCM_PRETEND_VERSION.
  * add bcolz/version.py to deb/clean.
  * add catch-cpuinfo-import-exception.patch.
  * add DEP-8 tests.

 -- Daniel Stender <stender@debian.org>  Mon, 19 Dec 2016 11:57:37 +0100

bcolz (1.1.0+ds1-1) experimental; urgency=medium

  * Initial release (Closes: #831408).

 -- Daniel Stender <stender@debian.org>  Sun, 04 Sep 2016 18:32:45 +0200

=== debian/control ===
Source: bcolz
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Stender <stender@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all-dev,
 python3-all-dev,
 python-setuptools,
 python3-setuptools,
 python-setuptools-scm,
 python3-setuptools-scm,
 cython (>= 0.22),
 cython3 (>= 0.22),
 python-numpy,
 python3-numpy,
 python-mock,
 python3-mock,
 libblosc-dev (>= 1.9.2),
 python-docutils,
 links,
 python3-sphinx,
 python3-numpydoc
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/bcolz.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/bcolz.git
Homepage: https://github.com/Blosc/bcolz
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3

Package: python-bcolz
Architecture: any
Section: python
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Recommends:
 python-numexpr
Suggests:
 python-pandas,
 python-tables,
 bcolz-doc
Description: high performant compressed data container based on NumPy (Python 2)
 bcolz provides columnar, chunked data containers that can be compressed
 in-memory and on-disk. Column storage allows for efficiently querying
 tables, as well as for cheap column addition and removal. It is based on
 NumPy, and uses it as the standard data container to communicate with
 bcolz objects, but it also comes with support for import/export facilities
 to/from HDF5/PyTables tables and Pandas dataframes.
 .
 This package contains the modules for Python 2.

Package: python3-bcolz
Architecture: any
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Recommends:
 python3-numexpr
Suggests:
 python3-pandas,
 python3-tables,
 bcolz-doc
Description: high performant compressed data container based on NumPy (Python 3)
 bcolz provides columnar, chunked data containers that can be compressed
 in-memory and on-disk. Column storage allows for efficiently querying
 tables, as well as for cheap column addition and removal. It is based on
 NumPy, and uses it as the standard data container to communicate with
 bcolz objects, but it also comes with support for import/export facilities
 to/from HDF5/PyTables tables and Pandas dataframes.
 .
 This package contains the modules for Python 3.

Package: bcolz-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Recommends:
 python-bcolz,
 python3-bcolz
Description: high performant compressed data container (documentation)
 bcolz provides columnar, chunked data containers that can be compressed
 in-memory and on-disk. Column storage allows for efficiently querying
 tables, as well as for cheap column addition and removal. It is based on
 NumPy, and uses it as the standard data container to communicate with
 bcolz objects, but it also comes with support for import/export facilities
 to/from HDF5/PyTables tables and Pandas dataframes.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=bcolz
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
export BLOSC_DIR=/usr

# preset version for setuptools-scm to prevent "1.1.0+ds1" etc. from Git tags
include /usr/share/dpkg/pkg-info.mk
VERSION_UPSTREAM = $(shell echo '$(DEB_VERSION_UPSTREAM)' | sed -e 's/\+[^+]*//')
export SETUPTOOLS_SCM_PRETEND_VERSION = $(VERSION_UPSTREAM)

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	cp .pybuild/pythonX.Y_*/build/bcolz/carray_ext*.so bcolz/
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N docs/ debian/bcolz-doc/usr/share/doc/bcolz-doc/html/

override_dh_installdocs:
	for i in ANNOUNCE DISK_FORMAT_v1 README THANKS; \
	do rst2html -r 5 $$i.rst .pybuild/$$i.html; \
	LANG=C.UTF-8 links -dump .pybuild/$$i.html > $$i; done
	dh_installdocs -A README THANKS

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES.rst

override_dh_compress:
	dh_compress -X.ipynb

override_dh_gencontrol:
	dh_numpy
	dh_numpy3
	dh_gencontrol

## bcolz 1.2.0%2Bds1

=== debian/tests/control ===
Tests: python-bcolz
Depends: python-bcolz, python-numexpr, python-mock
Restrictions: allow-stderr

Tests: python3-bcolz
Depends: python3-bcolz, python3-numexpr, python3-mock
Restrictions: allow-stderr

## bcolz 1.2.0+ds1

=== debian/changelog ===
bcolz (1.2.0+ds1-1) unstable; urgency=medium

  * New upstream release.
  * drop fix-tests.patch (fixed upstream).
  * deb/rules: don't hardcode pybuild build path (Closes: #893692).
  * deb/control: use magic tilde for dh-python build-dep.

 -- Daniel Stender <stender@debian.org>  Sat, 24 Mar 2018 11:31:55 +0100

bcolz (1.1.2+ds1-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + add version to dh-python build-dep.
  * deb/copyright:
    + add some files from LICENSES/ and version.py to excludes.
  * deb/gbp.conf:
    + update debian-branch (debian/master according to DEP-14).
  * deb/rules:
    + update path for copying extensions into bcolz/ for docs.
  * add fix-tests.patch (Closes: #893273).

 -- Daniel Stender <stender@debian.org>  Sat, 24 Mar 2018 09:02:12 +0100

bcolz (1.1.0+ds1-5) unstable; urgency=medium

  * deb/changelog: remove a trailing whitespace.
  * deb/control:
    + bump standards to 4.1.3 (no further changes needed).
    + update Vcs fields (project moved to salsa).
  * deb/copyright:
    + use HTTPS in format field.
    + expand copyright span to 2018.
  * deb/gbp.conf:
    + drop section import-orig.
    + change default branch to debian/master.
    + add sign-tags field.
  * deb/rules:
    + add check if nodoc is set for DEB_BUILD_OPTIONS.

 -- Daniel Stender <stender@debian.org>  Tue, 20 Feb 2018 09:24:01 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Daniel Stender <stender@debian.org>
 Build-Depends:
  debhelper (>= 9),
- dh-python,
+ dh-python (>= 3.20180313~),
  python-all-dev,
  python3-all-dev,
  python-setuptools,
@@ -23,9 +23,9 @@
  links,
  python3-sphinx,
  python3-numpydoc
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/bcolz.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/bcolz.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/science-team/bcolz
+Vcs-Git: https://salsa.debian.org/science-team/bcolz.git
 Homepage: https://github.com/Blosc/bcolz
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,10 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	cp .pybuild/pythonX.Y_*/build/bcolz/carray_ext*.so bcolz/
-	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N docs/ debian/bcolz-doc/usr/share/doc/bcolz-doc/html/
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
+	http_proxy='127.0.0.1:9' sphinx-build -N docs/ debian/bcolz-doc/usr/share/doc/bcolz-doc/html/
+endif
 
 override_dh_installdocs:
 	for i in ANNOUNCE DISK_FORMAT_v1 README THANKS; \

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,\
dversionmangle=s/\+ds1\d*$//,\
repacksuffix=+ds1 \
https://pypi.debian.net/bcolz/bcolz-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## bcolz 1.2.1%2Bds2

=== debian/control ===
Source: bcolz
Section: science
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: cython3 (>= 0.22),
               debhelper-compat (= 13),
               dh-python,
               libblosc-dev (>= 1.9.2),
               links <!nodoc>,
               python3-all-dev,
               python3-mock <!nocheck>,
               python3-numpy,
               python3-numpydoc <!nodoc>,
               python3-setuptools,
               python3-setuptools-scm,
               python3-sphinx <!nodoc>,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/bcolz
Vcs-Git: https://salsa.debian.org/science-team/bcolz.git
Homepage: https://github.com/Blosc/bcolz

Package: python3-bcolz
Architecture: alpha amd64 arm64 armel armhf hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips64el mipsel powerpcspe ppc64el riscv64 sh4
Section: python
Depends: python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-mock, python3-numexpr
Suggests: bcolz-doc, python3-pandas, python3-tables
Breaks: python-bcolz
Replaces: python-bcolz
Description: high performant compressed data container based on NumPy (Python 3)
 bcolz provides columnar, chunked data containers that can be compressed
 in-memory and on-disk. Column storage allows for efficiently querying
 tables, as well as for cheap column addition and removal. It is based on
 NumPy, and uses it as the standard data container to communicate with
 bcolz objects, but it also comes with support for import/export facilities
 to/from HDF5/PyTables tables and Pandas dataframes.
 .
 This package contains the modules for Python 3.

Package: bcolz-doc
Architecture: all
Section: doc
Build-Profiles: <!nodoc>
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: python3-bcolz
Description: high performant compressed data container (documentation)
 bcolz provides columnar, chunked data containers that can be compressed
 in-memory and on-disk. Column storage allows for efficiently querying
 tables, as well as for cheap column addition and removal. It is based on
 NumPy, and uses it as the standard data container to communicate with
 bcolz objects, but it also comes with support for import/export facilities
 to/from HDF5/PyTables tables and Pandas dataframes.
 .
 This package contains the documentation.

## bcolz 1.2.1+ds1

=== debian/changelog ===
bcolz (1.2.1+ds1-1build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 12:34:17 +0000

bcolz (1.2.1+ds1-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + bump standards version to 4.1.4 (no changes needed).
    + add pkg-resources to deps of binaries (Closes: #896411, #896423).
    + add mock packages to Recommends for binaries (needed for running tests).
  * deb/copyright:
    + expand copyright span of * and cpuinfo.py to 2018.
  * deb/tests/python{,3}-bcolz:
    + run bcolz.test() with verbosity set.
  * drop catch-cpuinfo-import-exception.patch (solved upstream).
  * remove deb/patches/fix-tests.patch (already dropped from series) and purge
    empty folder deb/patches.

 -- Daniel Stender <stender@debian.org>  Tue, 01 May 2018 00:46:06 +0200

=== debian/control ===
Source: bcolz
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Stender <stender@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python (>= 3.20180313~),
 python-all-dev,
 python3-all-dev,
 python-setuptools,
 python3-setuptools,
 python-setuptools-scm,
 python3-setuptools-scm,
 cython (>= 0.22),
 cython3 (>= 0.22),
 python-numpy,
 python3-numpy,
 python-mock,
 python3-mock,
 libblosc-dev (>= 1.9.2),
 python-docutils,
 links,
 python3-sphinx,
 python3-numpydoc
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/science-team/bcolz
Vcs-Git: https://salsa.debian.org/science-team/bcolz.git
Homepage: https://github.com/Blosc/bcolz
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3

Package: python-bcolz
Architecture: any
Section: python
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
 python-pkg-resources
Recommends:
 python-numexpr,
 python-mock
Suggests:
 python-pandas,
 python-tables,
 bcolz-doc
Description: high performant compressed data container based on NumPy (Python 2)
 bcolz provides columnar, chunked data containers that can be compressed
 in-memory and on-disk. Column storage allows for efficiently querying
 tables, as well as for cheap column addition and removal. It is based on
 NumPy, and uses it as the standard data container to communicate with
 bcolz objects, but it also comes with support for import/export facilities
 to/from HDF5/PyTables tables and Pandas dataframes.
 .
 This package contains the modules for Python 2.

Package: python3-bcolz
Architecture: any
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 python3-pkg-resources
Recommends:
 python3-numexpr,
 python3-mock
Suggests:
 python3-pandas,
 python3-tables,
 bcolz-doc
Description: high performant compressed data container based on NumPy (Python 3)
 bcolz provides columnar, chunked data containers that can be compressed
 in-memory and on-disk. Column storage allows for efficiently querying
 tables, as well as for cheap column addition and removal. It is based on
 NumPy, and uses it as the standard data container to communicate with
 bcolz objects, but it also comes with support for import/export facilities
 to/from HDF5/PyTables tables and Pandas dataframes.
 .
 This package contains the modules for Python 3.

Package: bcolz-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Recommends:
 python-bcolz,
 python3-bcolz
Description: high performant compressed data container (documentation)
 bcolz provides columnar, chunked data containers that can be compressed
 in-memory and on-disk. Column storage allows for efficiently querying
 tables, as well as for cheap column addition and removal. It is based on
 NumPy, and uses it as the standard data container to communicate with
 bcolz objects, but it also comes with support for import/export facilities
 to/from HDF5/PyTables tables and Pandas dataframes.
 .
 This package contains the documentation.

## bcolz 1.2.1+ds2

=== requirements.txt ===
numpy>=1.8

=== debian/changelog ===
bcolz (1.2.1+ds2-2) unstable; urgency=medium

  * deb/rules:
    + build with hardening flags set to all.
    + use filter function for options scans instead of findstring.
  * expand use of build profile switches:
    + add !nodoc build profile switch for docutils and links in d/control.
    + install if loop checking for nodoc option for dh_installdocs in d/rules.

 -- Daniel Stender <stender@debian.org>  Wed, 19 Dec 2018 06:56:17 +0100

bcolz (1.2.1+ds2-1) unstable; urgency=medium

  * deb/clean:
    + drop bcolz/carray_ext*.so (ext not build in-place).
  * deb/control:
    + drop ancient versioning from dh-python b-dep.
    + bump standards to 4.2.1 (no further changes needed).
    + remove ancient X-Python{3,}-Version fields [Jelmer Vernooĳ].
    + build only for little endian (BE not supported, Closes: #852307).
  * deb/rules:
    + build with DH_VERBOSE=1 (according to standards 4.2.0).
    + drop unnecessary export line for DH_BUILD_OPTIONS.
  * deb/tests:
    + use stderr redirection in the scripts instead of global allow-stderr.
  * use python-cpuinfo from the archive:
    + add cpuinfo.py to Files-Excluded in d/copyright.
    + drop license paragraph in d/copyright.
    + add python{,3}-cpuinfo to build-deps in d/control.
  * use build profile switches:
    + add !nodoc and !nocheck for b-deps in d/control.
    + add Build-Profiles for docs package in d/control.
    + add if loop for not running with sphinxdoc dh ext if nodoc is profile.
  * build with dh 11 (changes in d/control and d/compat).

 -- Daniel Stender <stender@debian.org>  Mon, 12 Nov 2018 10:59:42 +0100

=== debian/control ===
--- 
+++ 
@@ -4,34 +4,34 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Daniel Stender <stender@debian.org>
 Build-Depends:
- debhelper (>= 9),
- dh-python (>= 3.20180313~),
+ debhelper (>= 11),
+ dh-python,
  python-all-dev,
  python3-all-dev,
  python-setuptools,
  python3-setuptools,
  python-setuptools-scm,
  python3-setuptools-scm,
+ python-cpuinfo,
+ python3-cpuinfo,
  cython (>= 0.22),
  cython3 (>= 0.22),
  python-numpy,
  python3-numpy,
- python-mock,
- python3-mock,
+ python-mock <!nocheck>,
+ python3-mock <!nocheck>,
  libblosc-dev (>= 1.9.2),
- python-docutils,
- links,
- python3-sphinx,
- python3-numpydoc
-Standards-Version: 4.1.4
+ python-docutils <!nodoc>,
+ links <!nodoc>,
+ python3-sphinx <!nodoc>,
+ python3-numpydoc <!nodoc>
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/science-team/bcolz
 Vcs-Git: https://salsa.debian.org/science-team/bcolz.git
 Homepage: https://github.com/Blosc/bcolz
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.3
 
 Package: python-bcolz
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpcspe sh4
 Section: python
 Depends:
  ${misc:Depends},
@@ -56,7 +56,7 @@
  This package contains the modules for Python 2.
 
 Package: python3-bcolz
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpcspe sh4
 Section: python
 Depends:
  ${misc:Depends},
@@ -83,6 +83,7 @@
 Package: bcolz-doc
 Architecture: all
 Section: doc
+Build-Profiles: <!nodoc>
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE=1
-#export DEB_BUILD_OPTIONS=nocheck
+export DH_VERBOSE=1
 export PYBUILD_NAME=bcolz
-export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export BLOSC_DIR=/usr
 
 # preset version for setuptools-scm to prevent "1.1.0+ds1" etc. from Git tags
@@ -11,19 +10,26 @@
 export SETUPTOOLS_SCM_PRETEND_VERSION = $(VERSION_UPSTREAM)
 
 %:
+ifneq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
+	dh $@ --with python2,python3 --buildsystem=pybuild
+
+else
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+endif
 
 override_dh_auto_install:
 	dh_auto_install
-ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+ifeq (,$(filter nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
 	http_proxy='127.0.0.1:9' sphinx-build -N docs/ debian/bcolz-doc/usr/share/doc/bcolz-doc/html/
 endif
 
 override_dh_installdocs:
+ifeq (,$(filter nodoc, $(DEB_BUILD_OPTIONS)))
 	for i in ANNOUNCE DISK_FORMAT_v1 README THANKS; \
 	do rst2html -r 5 $$i.rst .pybuild/$$i.html; \
 	LANG=C.UTF-8 links -dump .pybuild/$$i.html > $$i; done
+endif
 	dh_installdocs -A README THANKS
 
 override_dh_installchangelogs:

=== debian/tests/control ===
Tests: python-bcolz
Depends: python-bcolz, python-numexpr, python-mock

Tests: python3-bcolz
Depends: python3-bcolz, python3-numexpr, python3-mock
